%define upstream_name    WDDX
%define upstream_version 1.02

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 9

Summary:	WDDX.pm - Module for reading and writing WDDX packets
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/P/PE/PETDANCE/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:  perl(XML::Parser)
BuildArch:	noarch


%description
This module provides a perl interface to WDDX. The latest version
of this module as well as additional information can be found at
http://www.scripted.com/wddx/. For more information about WDDX
please visit http://www.wddx.org/

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes README
%dir %{perl_vendorlib}/WDDX
%{perl_vendorlib}/WDDX/*
%{perl_vendorlib}/WDDX.pm
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.20.0-9.mga8
+ Revision: 1498226
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.20.0-8.mga7
+ Revision: 1272571
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.20.0-7.mga6
+ Revision: 1035690
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 1.20.0-6.mga6
+ Revision: 931694
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.20.0-5.mga5
+ Revision: 746512
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.20.0-4.mga5
+ Revision: 686832
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.20.0-3.mga4
+ Revision: 515894
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-2.mga3
+ Revision: 374726
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.20.0-1.mga1
+ Revision: 27238
- mageia rebuild
- imported package perl-WDDX


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 1.20.0-1mdv2010.0
+ Revision: 401918
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.02-6mdv2009.0
+ Revision: 258783
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.02-5mdv2009.0
+ Revision: 246697
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.02-3mdv2008.1
+ Revision: 136364
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun May 06 2007 Olivier Thauvin <nanardon@mandriva.org> 1.02-3mdv2008.0
+ Revision: 23588
- rebuild


* Thu Sep 29 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.02-2mdk
- Fix BuildRequires

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.02-1mdk
- initial Mandriva package

